Subject: Re: bug#55040: 29.0.50; Auto-indent-mode and Changelog Messages

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Apr 2022 20:28:41 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 20 Apr 2022 17:08:20 +0000
> 
> > I always use auto-fill-mode in ChangeLog buffers, and it never does
> > anything like what you described for me.  Can you show a recipe
> > starting from "emacs -Q" that shows this problem?
> 
> 1. Start emacs -Q
> 2. Open any versioned file
> 3. Make any modification
> 4. Prepare a commit using C-x v v
> 5. Go to the commit body and insert ChangeLog template
> 6. Ensure that auto-fill-mode is enabled in the buffer
> 7. Type anything until the fill-column is reached
> 
> I did 7. by just repeating the word "word", and after a short while it
> auto-filled the line and the text appeared formatted as described above.

Can you elaborate on Step 5?  I don't think I understand what I'm
supposed to do there.

Thanks.